-1

As the title saying, I don't know how to resolve this matter. Here I publish the notification. Hope someone know how to resolve it. I have skipped the "GET" list if not it has many rows.

Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 149028 files and directories currently installed.)
Preparing to unpack .../libavutil54_6%3a11.8-1~deb8u1+rpi1_armhf.deb ...
Unpacking libavutil54:armhf (6:11.8-1~deb8u1+rpi1) over (6:11.7-1~deb8u1+rpi1) ...
Preparing to unpack .../libavresample2_6%3a11.8-1~deb8u1+rpi1_armhf.deb ...
Unpacking libavresample2:armhf (6:11.8-1~deb8u1+rpi1) over (6:11.1~deb8u1+rpi1) ...
Preparing to unpack .../libavcodec56_6%3a11.8-1~deb8u1+rpi1_armhf.deb ...
Unpacking libavcodec56:armhf (6:11.8-1~deb8u1+rpi1) over (6:11.7-1~deb8u1+rpi1) ...
Preparing to unpack .../libavformat56_6%3a11.8-1~deb8u1+rpi1_armhf.deb ...
Unpacking libavformat56:armhf (6:11.8-1~deb8u1+rpi1) over (6:11.7-1~deb8u1+rpi1) ...
Preparing to unpack .../libgd3_2.1.0-5+deb8u7_armhf.deb ...
Unpacking libgd3:armhf (2.1.0-5+deb8u7) over (2.1.0-5+deb8u6) ...
Preparing to unpack .../liblightdm-gobject-1-0_1.10.3-3+rpi_armhf.deb ...
Unpacking liblightdm-gobject-1-0 (1.10.3-3+rpi) over (1.10.3-3) ...
Preparing to unpack .../libnspr4_2%3a4.12-1+debu8u1_armhf.deb ...
Unpacking libnspr4:armhf (2:4.12-1+debu8u1) over (2:4.10.7-1+deb8u1) ...
Preparing to unpack .../libnss3_2%3a3.26-1+debu8u1_armhf.deb ...
Unpacking libnss3:armhf (2:3.26-1+debu8u1) over (2:3.17.2-1.1+deb8u2) ...
Preparing to unpack .../uno-libs3_4.3.3-2+rpi4_armhf.deb ...
Unpacking uno-libs3 (4.3.3-2+rpi4) over (4.3.3-2+rpi3) ...
Preparing to unpack .../ure_4.3.3-2+rpi4_armhf.deb ...
Unpacking ure (4.3.3-2+rpi4) over (4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice-calc_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-calc (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice-impress_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-impress (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice-draw_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-draw (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice-gtk_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-gtk (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice-writer_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-writer (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../python3-uno_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking python3-uno (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice-base-core_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-base-core (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice-math_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-math (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
Preparing to unpack .../libreoffice-common_1%3a4.3.3-2+rpi4_all.deb ...
Unpacking libreoffice-common (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a4.3.3-2+rpi4_all.deb (--unpack):
 cannot copy extracted data for './usr/lib/libreoffice/share/template/common/wizard/report/cnt-01.ott' to '/usr/lib/libreoffice/share/template/common/wizard/report/cnt-01.ott.dpkg-new': unexpected end of file or stream
rmdir: failed to remove ‘/var/lib/libreoffice/program/’: No such file or directory
rmdir: failed to remove ‘/var/lib/libreoffice’: No such file or directory
Preparing to unpack .../libreoffice-base_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-base (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-base_1%3a4.3.3-2+rpi4_armhf.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/libreoffice-base/changelog.Debian.gz' to '/usr/share/doc/libreoffice-base/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
dpkg: considering deconfiguration of libreoffice-base, which would be broken by installation of libreoffice-core ...
dpkg: yes, will deconfigure libreoffice-base (broken by libreoffice-core)
Preparing to unpack .../libreoffice-core_1%3a4.3.3-2+rpi4_armhf.deb ...
De-configuring libreoffice-base (1:4.3.3-2+rpi3) ...
Unpacking libreoffice-core (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-core_1%3a4.3.3-2+rpi4_armhf.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/libreoffice-core/changelog.Debian.gz' to '/usr/share/doc/libreoffice-core/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libreoffice-base-drivers_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-base-drivers (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-base-drivers_1%3a4.3.3-2+rpi4_armhf.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/libreoffice-base-drivers/changelog.Debian.gz' to '/usr/share/doc/libreoffice-base-drivers/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../fonts-opensymbol_2%3a102.6+LibO4.3.3-2+rpi4_all.deb ...
Unpacking fonts-opensymbol (2:102.6+LibO4.3.3-2+rpi4) over (2:102.6+LibO4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/fonts-opensymbol_2%3a102.6+LibO4.3.3-2+rpi4_all.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/fonts-opensymbol/changelog.Debian.gz' to '/usr/share/doc/fonts-opensymbol/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libreoffice-report-builder-bin_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-report-builder-bin (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-report-builder-bin_1%3a4.3.3-2+rpi4_armhf.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/libreoffice-report-builder-bin/changelog.Debian.gz' to '/usr/share/doc/libreoffice-report-builder-bin/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libreoffice-avmedia-backend-gstreamer_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-avmedia-backend-gstreamer (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-avmedia-backend-gstreamer_1%3a4.3.3-2+rpi4_armhf.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/libreoffice-avmedia-backend-gstreamer/changelog.Debian.gz' to '/usr/share/doc/libreoffice-avmedia-backend-gstreamer/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libreoffice-java-common_1%3a4.3.3-2+rpi4_all.deb ...
Unpacking libreoffice-java-common (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-java-common_1%3a4.3.3-2+rpi4_all.deb (--unpack):
 cannot copy extracted data for './usr/share/java/unoil-4.3.3.jar' to '/usr/share/java/unoil-4.3.3.jar.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libreoffice-style-galaxy_1%3a4.3.3-2+rpi4_all.deb ...
Unpacking libreoffice-style-galaxy (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-style-galaxy_1%3a4.3.3-2+rpi4_all.deb (--unpack):
 cannot copy extracted data for './usr/share/libreoffice/share/config/images.zip' to '/usr/share/libreoffice/share/config/images.zip.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libswscale3_6%3a11.8-1~deb8u1+rpi1_armhf.deb ...
Unpacking libswscale3:armhf (6:11.8-1~deb8u1+rpi1) over (6:11.7-1~deb8u1+rpi1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libswscale3_6%3a11.8-1~deb8u1+rpi1_armhf.deb (--unpack):
 cannot copy extracted data for './usr/lib/arm-linux-gnueabihf/neon/vfp/libswscale.so.3.0.0' to '/usr/lib/arm-linux-gnueabihf/neon/vfp/libswscale.so.3.0.0.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libc-ares2_1.10.0-2+deb8u1_armhf.deb ...
Unpacking libc-ares2:armhf (1.10.0-2+deb8u1) over (1.10.0-2) ...
Preparing to unpack .../ghostscript_9.06~dfsg-2+deb8u3_armhf.deb ...
Unpacking ghostscript (9.06~dfsg-2+deb8u3) over (9.06~dfsg-2+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/ghostscript_9.06~dfsg-2+deb8u3_armhf.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/ghostscript/changelog.Debian.gz' to '/usr/share/doc/ghostscript/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libgs9_9.06~dfsg-2+deb8u3_armhf.deb ...
Unpacking libgs9 (9.06~dfsg-2+deb8u3) over (9.06~dfsg-2+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libgs9_9.06~dfsg-2+deb8u3_armhf.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/libgs9/changelog.Debian.gz' to '/usr/share/doc/libgs9/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libgs9-common_9.06~dfsg-2+deb8u3_all.deb ...
Unpacking libgs9-common (9.06~dfsg-2+deb8u3) over (9.06~dfsg-2+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libgs9-common_9.06~dfsg-2+deb8u3_all.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/libgs9-common/changelog.Debian.gz' to '/usr/share/doc/libgs9-common/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../php5-gd_5.6.26+dfsg-0+deb8u1_armhf.deb ...
Unpacking php5-gd (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
Preparing to unpack .../php5-readline_5.6.26+dfsg-0+deb8u1_armhf.deb ...
Unpacking php5-readline (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
Preparing to unpack .../php5-cli_5.6.26+dfsg-0+deb8u1_armhf.deb ...
Unpacking php5-cli (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/php5-cli_5.6.26+dfsg-0+deb8u1_armhf.deb (--unpack):
 cannot copy extracted data for './usr/bin/php5' to '/usr/bin/php5.dpkg-new': unexpected end of file or stream
Preparing to unpack .../php5-mcrypt_5.6.26+dfsg-0+deb8u1_armhf.deb ...
Unpacking php5-mcrypt (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
Preparing to unpack .../php5-curl_5.6.26+dfsg-0+deb8u1_armhf.deb ...
Unpacking php5-curl (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
Preparing to unpack .../php5-mysql_5.6.26+dfsg-0+deb8u1_armhf.deb ...
Unpacking php5-mysql (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/php5-mysql_5.6.26+dfsg-0+deb8u1_armhf.deb (--unpack):
 cannot copy extracted data for './usr/lib/php5/20131226/mysqli.so' to '/usr/lib/php5/20131226/mysqli.so.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libapache2-mod-php5_5.6.26+dfsg-0+deb8u1_armhf.deb ...
Unpacking libapache2-mod-php5 (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libapache2-mod-php5_5.6.26+dfsg-0+deb8u1_armhf.deb (--unpack):
 cannot copy extracted data for './usr/lib/apache2/modules/libphp5.so' to '/usr/lib/apache2/modules/libphp5.so.dpkg-new': unexpected end of file or stream
Preparing to unpack .../php5-common_5.6.26+dfsg-0+deb8u1_armhf.deb ...
Unpacking php5-common (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/php5-common_5.6.26+dfsg-0+deb8u1_armhf.deb (--unpack):
 cannot copy extracted data for './usr/lib/php5/20131226/opcache.so' to '/usr/lib/php5/20131226/opcache.so.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libdbd-mysql-perl_4.028-2+deb8u2_armhf.deb ...
Unpacking libdbd-mysql-perl (4.028-2+deb8u2) over (4.028-2+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libdbd-mysql-perl_4.028-2+deb8u2_armhf.deb (--unpack):
 cannot copy extracted data for './usr/lib/arm-linux-gnueabihf/perl5/5.20/auto/DBD/mysql/mysql.so' to '/usr/lib/arm-linux-gnueabihf/perl5/5.20/auto/DBD/mysql/mysql.so.dpkg-new': unexpected end of file or stream
Preparing to unpack .../libreoffice-sdbc-hsqldb_1%3a4.3.3-2+rpi4_armhf.deb ...
Unpacking libreoffice-sdbc-hsqldb (1:4.3.3-2+rpi4) over (1:4.3.3-2+rpi3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/libreoffice-sdbc-hsqldb_1%3a4.3.3-2+rpi4_armhf.deb (--unpack):
 cannot copy extracted data for './usr/share/doc/libreoffice-sdbc-hsqldb/changelog.Debian.gz' to '/usr/share/doc/libreoffice-sdbc-hsqldb/changelog.Debian.gz.dpkg-new': unexpected end of file or stream
Preparing to unpack .../lightdm_1.10.3-3+rpi_armhf.deb ...
Unpacking lightdm (1.10.3-3+rpi) over (1.10.3-3) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/lightdm_1.10.3-3+rpi_armhf.deb (--unpack):
 cannot copy extracted data for './usr/sbin/lightdm' to '/usr/sbin/lightdm.dpkg-new': unexpected end of file or stream
Preparing to unpack .../lxpanel_0.7.2-1+rpi13_armhf.deb ...
Unpacking lxpanel (0.7.2-1+rpi13) over (0.7.2-1+rpi12) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/lxpanel_0.7.2-1+rpi13_armhf.deb (--unpack):
 cannot copy extracted data for './usr/lib/arm-linux-gnueabihf/lxpanel/plugins/cpu.so' to '/usr/lib/arm-linux-gnueabihf/lxpanel/plugins/cpu.so.dpkg-new': unexpected end of file or stream
Preparing to unpack .../lxpanel-data_0.7.2-1+rpi13_all.deb ...
Unpacking lxpanel-data (0.7.2-1+rpi13) over (0.7.2-1+rpi12) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/lxpanel-data_0.7.2-1+rpi13_all.deb (--unpack):
 cannot copy extracted data for './usr/share/locale/zh_TW/LC_MESSAGES/lxpanel.mo' to '/usr/share/locale/zh_TW/LC_MESSAGES/lxpanel.mo.dpkg-new': unexpected end of file or stream
Preparing to unpack .../nuscratch_20160915+1_armhf.deb ...
Leaving 'diversion of /usr/bin/scratch to /usr/bin/scratch.old by nuscratch'
Leaving 'diversion of /usr/bin/squeak to /usr/bin/squeak.old by nuscratch'
Leaving 'diversion of /usr/share/scratch/locale/ja_HIRA.po to /usr/share/scratch/locale/ja_HIRA.po.old by nuscratch'
Leaving 'diversion of /usr/share/scratch/locale/ja.po to /usr/share/scratch/locale/ja.po.old by nuscratch'
Unpacking nuscratch (20160915+1) over (20160915) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/nuscratch_20160915+1_armhf.deb (--unpack):
 cannot copy extracted data for './usr/lib/squeak/5.0-201608180858/squeak' to '/usr/lib/squeak/5.0-201608180858/squeak.dpkg-new': unexpected end of file or stream
Preparing to unpack .../php-pear_5.6.26+dfsg-0+deb8u1_all.deb ...
Unpacking php-pear (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/php-pear_5.6.26+dfsg-0+deb8u1_all.deb (--unpack):
 cannot copy extracted data for './usr/share/php/.registry/pear.reg' to '/usr/share/php/.registry/pear.reg.dpkg-new': unexpected end of file or stream
Preparing to unpack .../php5_5.6.26+dfsg-0+deb8u1_all.deb ...
Unpacking php5 (5.6.26+dfsg-0+deb8u1) over (5.6.24+dfsg-0+deb8u1) ...
Preparing to unpack .../pi-greeter_0.3_armhf.deb ...
Unpacking pi-greeter (0.3) over (0.1-2) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/pi-greeter_0.3_armhf.deb (--unpack):
 subprocess dpkg-deb --fsys-tarfile returned error exit status 2
Preparing to unpack .../pipanel_20161012~175500_armhf.deb ...
Unpacking pipanel (20161012~175500) over (20160719~175800) ...
Preparing to unpack .../pishutdown_0.7_armhf.deb ...
Leaving 'diversion of /usr/bin/lxde-pi-shutdown-helper to /usr/bin/lxde-pi-shutdown-helper.old by pishutdown'
Unpacking pishutdown (0.7) over (0.4) ...
Preparing to unpack .../archives/pix-icons_0.3_all.deb ...
Unpacking pix-icons (0.3) over (0.1-1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/pix-icons_0.3_all.deb (--unpack):
 cannot copy extracted data for './usr/share/icons/PiX/16x16/categories/preferences-desktop.png' to '/usr/share/icons/PiX/16x16/categories/preferences-desktop.png.dpkg-new': unexpected end of file or stream
Preparing to unpack .../pix-plym-splash_0.3_all.deb ...
Unpacking pix-plym-splash (0.3) over (0.1-1) ...
Preparing to unpack .../pixel-wallpaper_0.2_all.deb ...
Unpacking pixel-wallpaper (0.2) over (0.1-1) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/pixel-wallpaper_0.2_all.deb (--unpack):
 cannot copy extracted data for './usr/share/pixel-wallpaper/aurora.jpg' to '/usr/share/pixel-wallpaper/aurora.jpg.dpkg-new': unexpected end of file or stream
Preparing to unpack .../raspberrypi-sys-mods_20161010_all.deb ...
Unpacking raspberrypi-sys-mods (20161010) over (20160916) ...
Preparing to unpack .../raspi-config_20161013_all.deb ...
Unpacking raspi-config (20161013) over (20160810) ...
Preparing to unpack .../archives/rc-gui_1.2_armhf.deb ...
Unpacking rc-gui (1.2) over (1.1-1) ...
Preparing to unpack .../archives/bluej_3.1.7a_all.deb ...
Unpacking bluej (3.1.7a) over (3.1.7) ...
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing archive /var/cache/apt/archives/bluej_3.1.7a_all.deb (--unpack):
 cannot copy extracted data for './usr/share/bluej/afrikaans/labels' to '/usr/share/bluej/afrikaans/labels.dpkg-new': unexpected end of file or stream
Preparing to unpack .../raspberrypi-net-mods_1.2.4_all.deb ...
Unpacking raspberrypi-net-mods (1.2.4) over (1.2.3) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.58) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for gnome-icon-theme (3.12.0-1) ...
Processing triggers for shared-mime-info (1.3-1) ...
Processing triggers for libapache2-mod-php5 (5.6.24+dfsg-0+deb8u1) ...
Processing triggers for dbus (1.8.20-0+deb8u1) ...
Processing triggers for systemd (215-17+deb8u5) ...
Errors were encountered while processing:
 /var/cache/apt/archives/libreoffice-common_1%3a4.3.3-2+rpi4_all.deb
 /var/cache/apt/archives/libreoffice-base_1%3a4.3.3-2+rpi4_armhf.deb
 /var/cache/apt/archives/libreoffice-core_1%3a4.3.3-2+rpi4_armhf.deb
 /var/cache/apt/archives/libreoffice-base-drivers_1%3a4.3.3-2+rpi4_armhf.deb
 /var/cache/apt/archives/fonts-opensymbol_2%3a102.6+LibO4.3.3-2+rpi4_all.deb
 /var/cache/apt/archives/libreoffice-report-builder-bin_1%3a4.3.3-2+rpi4_armhf.deb
 /var/cache/apt/archives/libreoffice-avmedia-backend-gstreamer_1%3a4.3.3-2+rpi4_armhf.deb
 /var/cache/apt/archives/libreoffice-java-common_1%3a4.3.3-2+rpi4_all.deb
 /var/cache/apt/archives/libreoffice-style-galaxy_1%3a4.3.3-2+rpi4_all.deb
 /var/cache/apt/archives/libswscale3_6%3a11.8-1~deb8u1+rpi1_armhf.deb
 /var/cache/apt/archives/ghostscript_9.06~dfsg-2+deb8u3_armhf.deb
 /var/cache/apt/archives/libgs9_9.06~dfsg-2+deb8u3_armhf.deb
 /var/cache/apt/archives/libgs9-common_9.06~dfsg-2+deb8u3_all.deb
 /var/cache/apt/archives/php5-cli_5.6.26+dfsg-0+deb8u1_armhf.deb
 /var/cache/apt/archives/php5-mysql_5.6.26+dfsg-0+deb8u1_armhf.deb
 /var/cache/apt/archives/libapache2-mod-php5_5.6.26+dfsg-0+deb8u1_armhf.deb
 /var/cache/apt/archives/php5-common_5.6.26+dfsg-0+deb8u1_armhf.deb
 /var/cache/apt/archives/libdbd-mysql-perl_4.028-2+deb8u2_armhf.deb
 /var/cache/apt/archives/libreoffice-sdbc-hsqldb_1%3a4.3.3-2+rpi4_armhf.deb
 /var/cache/apt/archives/lightdm_1.10.3-3+rpi_armhf.deb
 /var/cache/apt/archives/lxpanel_0.7.2-1+rpi13_armhf.deb
 /var/cache/apt/archives/lxpanel-data_0.7.2-1+rpi13_all.deb
 /var/cache/apt/archives/nuscratch_20160915+1_armhf.deb
 /var/cache/apt/archives/php-pear_5.6.26+dfsg-0+deb8u1_all.deb
 /var/cache/apt/archives/pi-greeter_0.3_armhf.deb
 /var/cache/apt/archives/pix-icons_0.3_all.deb
 /var/cache/apt/archives/pixel-wallpaper_0.2_all.deb
 /var/cache/apt/archives/bluej_3.1.7a_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
3

I'm thinking either the package(s) download(s) might have failed midway resulting in corrupted files or the disk might have become full and file write might have failed. either way you can try the following steps and see if it works

Try

  • clearing the apt download cache with sudo apt-get autoclean
  • removing obsolete packages no longer required sudo apt-get autoremove
  • verify you have ample free disk space with df -h.
  • re-run the upgrade command : sudo apt-get update && sudo apt-get upgrade

if you have sufficient disk space and errors recur, it might warrant further investigation

Reference

3
  • Hello, this method isn't work. I refer to the other article. – jefferyear Oct 16 '16 at 9:20
  • I didn't try this article yet. There are different description. My pi has a unique property. I separate the boot partition and the kernel partition. The kernel partition is plugged on the usb slot. Sorry for that I didn't mention first. – jefferyear Oct 16 '16 at 9:23

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.